package com.uas.platform.b2b.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by 黄诚天 on 2017/7/13.
 *
 * 企业开票信息表，每个企业只能维护自己的，只能更新，不能删除.
 */

@Table(name = "purc$apbilloutinfo")
@Entity
public class PurchaseApBillOutInfo implements Serializable {
    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    /**
     * 企业uu
     */
    @Id
    @Column(name = "pboi_uu")
    private Long uu;

    /**
     * 公司名称
     */
    @Column(name = "pboi_name")
    private String enName;

    /**
     * 纳税人识别号
     */
    @Column(name = "pboi_taxnr")
    private String taxNr;

    /**
     * 银行账号
     */
    @Column(name = "pboi_bankaccountnr")
    private String bankAccountNr;

    /**
     * 注册地址
     */
    @Column(name = "pboi_address")
    private String address;

    /**
     * 公司电话
     */
    @Column(name = "pboi_tel")
    private String tel;

    /**
     * 收款人
     */
    @Column(name = "pboi_payee")
    private String payee;

    /**
     * 复款人
     */
    @Column(name = "pboi_checker")
    private String checker;

    /**
     * 开票机IP地址
     */
    @Column(name = "pboi_ip")
    private String ip;

    public PurchaseApBillOutInfo() {
    }

    public Long getUu() {
        return uu;
    }

    public void setUu(Long uu) {
        this.uu = uu;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getTaxNr() {
        return taxNr;
    }

    public void setTaxNr(String taxNr) {
        this.taxNr = taxNr;
    }

    public String getBankAccountNr() {
        return bankAccountNr;
    }

    public void setBankAccountNr(String bankAccountNr) {
        this.bankAccountNr = bankAccountNr;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getPayee() {
        return payee;
    }

    public void setPayee(String payee) {
        this.payee = payee;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }
}
